﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;
using WPFDiagramming.Controls;
using WPFDiagramming.Toolbox.Adorners;

namespace WPFDiagramming
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            cnvPanel.Children.Add(new Entity() { Width = 100, Height = 25 });
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            cnvPanel.RemoveAnySelection();

            AdornerLayer adornerLayer = AdornerLayer.GetAdornerLayer(this.cnvPanel);
            adornerLayer.Add(new SelectConnectorAdorner(this.cnvPanel));
        }
    }
}
