﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Controls;
using System.Windows;
using System.Windows.Input;
using System.Windows.Data;
using System.ComponentModel;
using System.Windows.Threading;
using WPFDiagramming.Controls;

namespace WPFDiagramming.Adorners
{
    public class ConnectorAdorner : Adorner
    {
        public Entity Source { get; set; }
        public Entity Destine { get; set; }

        public Pen Pen { get; set; }

        public ConnectorAdorner(UIElement element)
            : base(element)
        {
            Connector connector = element as Connector;

            connector.BorderBrush = Brushes.Green;
            connector.BorderThickness = new Thickness(3);
        }
    }
}
